Skip to main content
GET
/
v1
/
calls
/
{id}
Retrieve Call
curl --request GET \
  --url https://api.bey.dev/v1/calls/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.bey.dev/v1/calls/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.bey.dev/v1/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "id": "<string>",
  "agent_id": "<string>",
  "status": {
    "type": "to_start"
  },
  "user_name": "<string>",
  "user_email": "<string>",
  "tags": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

Your Beyond Presence API Key.

Path Parameters

id
string
required

Call ID.

Response

Requested Call

Response model for a call.

id
string
required

Unique identifier of the object in the database.

Example:

"01234567-89ab-cdef-0123-456789abcdef"

agent_id
string
required

ID of agent managing the call.

status
ToStartCallStatus · object
required

Status for call that has not yet started.

user_name
string | null

Name of the user.

user_email
string | null

Email of the user.

tags
Tags · object

Tags for the call